#include <iostream>
#include <stdio.h>
using namespace std;
int
main ()
{
  int n, j, i;
  float A[1000], P[1000], M, X;
  M = 0;
  X = 0;
  scanf ("%d", &n);
  for (i = 0; i < n; i++)
    {
      scanf ("%f", &A[i]);
      scanf ("%f", &P[i]);
      P[i] = P[i] / 100;
    }
  for (i = 0; j < n; j++)
    {
      for (i = 0; i < n; i++)
	{
	  if (i == 0)
	    X = 0;
	  if (P[i] >= P[j])
	    X += A[i] * P[j];
	  if (X > M)
	    M = X;
	}
    }
    printf("%f",M);
  return 0;
}